Skip to main content
GET
/
historic_data_screener
cURL
curl --request GET \
  --url 'https://api.edgeful.com/historic_data_screener?market_type=<market_type>&tickers=<tickers>' \
  --header 'Authorization: Bearer <api-key>'
{
  "historic_data": {
    "ES": {
      "opening_stats_standard": {
        "current_price": 5275.25,
        "historical_probability": 0.58
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Use your Edgeful API key as the bearer token. In the API Reference authorization drawer, paste only the key (for example, ef_live_<random>).

Query Parameters

market_type
enum<string>
required

type of market to fetch data for. use all to fetch stocks and futures together.

Available options:
all,
stock,
futures
tickers
string
required

comma-separated list of ticker symbols to retrieve (e.g., ES,NQ,CL).

session_name
enum<string>
default:NY

trading session to fetch data for; one of NY, LONDON, ASIA.

Available options:
NY,
LONDON,
ASIA

Response

Successful Response

historic_data
object

Most recent historical screener snapshot keyed by ticker symbol.